comewithme38
@comewithme38

Как настроить совместимость проекта vue.js для IE 11?

Собственно сабж. Babel не помогает.
  • Вопрос задан
  • 3827 просмотров
Пригласить эксперта
Ответы на вопрос 5
Нужно транспилировать не только свой код, а и код vuetify:
// vue.config.js

module.exports = {
  transpileDependencies: ['vuetify']
}


Об этом сказано в доке vuetify - https://vuetifyjs.com/en/getting-started/quick-sta...
Ответ написан
comewithme38
@comewithme38 Автор вопроса
Я наконец-то заставил его работать, ответ от Кирилл Романов был очень полезным.
Что нужно сделать:
1) установить core-js@3

npm install core-js@3

2) отредактируйте main.js вот так:
import 'core-js/stable'
    import Vue from 'vue'
    import '@/plugins/vuetify'
    {...}

3) редактировать babel.config.js
module.exports = {
      presets: [
        ['@vue/app', { useBuiltIns: 'entry' }]
      ]
    }
Ответ написан
profesor08
@profesor08
https://cli.vuejs.org/ru/guide/browser-compatibili...

Если я не ошибаюсь, там из коробки поддержка IE9+, так что косяк явно в твоем коде, либо в модулях подключенных, которые ты не трансплитишь.
Ответ написан
victory_vas
@victory_vas
еще можно попробовать подключить @babel/polyfill в main.js, если еще этого не сделали
Ответ написан
andreichirkov
@andreichirkov
Frontend разработчикк
Статья которая помогла решить мне проблему с совместимостью:
https://jacklyons.me/how-to-fix-vuejs-not-working-...
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы